hoauth2-1.3.0: Haskell OAuth2 authentication client

Safe Haskell | None
Language | Haskell2010

Network.OAuth.OAuth2.AuthorizationRequest

Synopsis

- data Errors
  - = InvalidRequest
  - | UnauthorizedClient
  - | AccessDenied
  - | UnsupportedResponseType
  - | InvalidScope
  - | ServerError
  - | TemporarilyUnavailable

# Documentation

data Errors Source #

Authorization Code Grant Error Responses https://tools.ietf.org/html/rfc6749#section-4.1.2.1 Implicit Grant Error Responses https://tools.ietf.org/html/rfc6749#section-4.2.2.1

Constructors

InvalidRequest |
UnauthorizedClient |
AccessDenied |
UnsupportedResponseType |
InvalidScope |
ServerError |
TemporarilyUnavailable |

Instances

Eq Errors Source # |
Methods (==) :: Errors -> Errors -> Bool # (/=) :: Errors -> Errors -> Bool #
Show Errors Source # |
Methods showsPrec :: Int -> Errors -> ShowS # show :: Errors -> String # showList :: [Errors] -> ShowS #
Generic Errors Source # |
Associated Types type Rep Errors :: * -> * # Methods from :: Errors -> Rep Errors x # to :: Rep Errors x -> Errors #
ToJSON Errors Source # |
Methods toJSON :: Errors -> Value # toEncoding :: Errors -> Encoding # toJSONList :: [Errors] -> Value # toEncodingList :: [Errors] -> Encoding #
FromJSON Errors Source # |
Methods parseJSON :: Value -> Parser Errors # parseJSONList :: Value -> Parser [Errors] #
type Rep Errors Source # |

type Rep Errors = D1 (MetaData "Errors" "Network.OAuth.OAuth2.AuthorizationRequest" "hoauth2-1.3.0-ET7zNcTR0QAF1UGg1WyD6x" False) ((:+:) ((:+:) (C1 (MetaCons "InvalidRequest" PrefixI False) U1) ((:+:) (C1 (MetaCons "UnauthorizedClient" PrefixI False) U1) (C1 (MetaCons "AccessDenied" PrefixI False) U1))) ((:+:) ((:+:) (C1 (MetaCons "UnsupportedResponseType" PrefixI False) U1) (C1 (MetaCons "InvalidScope" PrefixI False) U1)) ((:+:) (C1 (MetaCons "ServerError" PrefixI False) U1) (C1 (MetaCons "TemporarilyUnavailable" PrefixI False) U1))))